; INCLUDE PRO ADRESACI HARDWARE
; PRO PROCESOR V KAZETE  CPU04 (486DX)

COM1BASE                EQU     8008H   ; TL16C550A COM1
COM2BASE                EQU     8010H   ; TL16C550A COM2
LONGIO                  EQU     4000H
TESTBASE                EQU     0A4H
TESTSTART               EQU     500H

IN_PORT_MUX_1           EQU     0A0H    ; PREPINANE VSTUPY 1     
IN_PORT_MUX_2           EQU     0A1H    ; PREPINANE VSTUPY 2
IN_PORT_MUX_3           EQU     0A2H    ; PREPINANE VSTUPY 3 - RYCHLE
IN_PORT_MUX_4           EQU     0A3H    ; PREPINANE VSTUPY 4     
IN_PORT_MUX_5           EQU     0A4H    ; PREPINANE VSTUPY 5

;RIDICI SLOVA PRO MH107
CONTROL_107		EQU	010H	; normalni rezim
CONTROL_107_RES		EQU	090H	; reset citace
CONTROL_107_MD		EQU	012H	; merici sonda
CONTROL_107_NI		EQU	011H	; nulovani od nul.pulsu
STATUS_107_CHNI		EQU	040H	; chyba nastaveni polohy
STATUS_107_CHVG		EQU	020H	; chyba sign. V,G
STATUS_107_MD		EQU	002H	; signal od MD
STATUS_107_NI		EQU	001H	; zachycena NI

;OFFSETY PRO BAZOVE ADRESY PRO NEPRIMOU ADRESACI PORTU
OFFS_ANL_LOW            EQU     06H	; ADRESA VYST. NAPETI LOW OSA 
OFFS_ANL_HIGH           EQU     02H	; ADRESA VYST. NAPETI HIGH OSA 
OFFS_IRC_STAV           EQU     00H	; ADRESA STATUSU PRO OSU X
OFFS_IRC_LOW		EQU	01H	; ADRESA SNIMANI IRC LOW
OFFS_IRC_HIGH   	EQU	01H	; ADRESA SNIMANI IRC HIGH
OFFS_ANL_RESET 	        EQU	04H	; RESET NASOBICEK

;BAZOVE ADRESY PRO NEPRIMOU ADRESACI PORTU
IO_IRC_1                EQU     04000H  ; X
IO_IRC_2                EQU     04008H  ; Y
IO_IRC_3                EQU     04010H  ; Z  
IO_IRC_4                EQU     04018H  ; TOC KOP
IO_IRC_5                EQU     04020H  ; 4
IO_IRC_6                EQU     04028H  ; 5
IO_IRC_7                EQU     04030H  ; 6
IO_IRC_8                EQU     04038H  ;

IO_ANL_1                EQU     04000H  ; X
IO_ANL_2                EQU     04008H  ; Y
IO_ANL_3                EQU     04010H  ; Z  
IO_ANL_4                EQU     04018H  ; TOC KOP
IO_ANL_5                EQU     04020H  ; 4
IO_ANL_6                EQU     04028H  ; 5
IO_ANL_7                EQU     04030H  ; 6
IO_ANL_8                EQU     04038H  ;

;ADRESY PRO PRIMOU ADRESACI PORTU - PEVNE REZMISTENI OS:
PORT_OSA_VR_LOW		EQU	0402EH	; ADRESA VYST. NAPETI LOW VRETENA
PORT_OSA_VR_HIGH	EQU	0402AH	; ADRESA VYST. NAPETI HIGH VRETENA
PORT_OSA_VR_STAV	EQU	04028H	; ADRESA STATUSU VRETENA
PORT_IRC_VR_LOW		EQU	04029H	; ADRESA SNIMANI IRC LOW VRETENE
PORT_IRC_VR_HIGH	EQU	04029H	; ADRESA SNIMANI IRC HIGH VRETENE
PORT_RESET_VR 	        EQU	0402CH	; RESET NASOBICEK

PORT_OSA_X_LOW		EQU	04006H	; ADRESA VYST. NAPETI LOW OSA X
PORT_OSA_X_HIGH		EQU	04002H	; ADRESA VYST. NAPETI HIGH OSA X
PORT_OSA_X_STAV		EQU	04000H	; ADRESA STATUSU PRO OSU X
PORT_IRC_X_LOW		EQU	04001H	; ADRESA SNIMANI IRC LOW OSA X
PORT_IRC_X_HIGH		EQU	04001H	; ADRESA SNIMANI IRC HIGH OSA X
PORT_RESET_X  	        EQU	04004H	; RESET NASOBICEK

PORT_OSA_Y_LOW		EQU	0400EH	; ADRESA VYST. NAPETI LOW OSA Y
PORT_OSA_Y_HIGH		EQU	0400AH	; ADRESA VYST. NAPETI HIGH OSA Y
PORT_OSA_Y_STAV		EQU	04008H	; ADRESA STATUSU PRO OSU Y
PORT_IRC_Y_LOW		EQU	04009H	; ADRESA SNIMANI IRC LOW OSA Y
PORT_IRC_Y_HIGH		EQU	04009H	; ADRESA SNIMANI IRC HIGH OSA Y
PORT_RESET_Y  	        EQU	0400CH	; RESET NASOBICEK

PORT_OSA_Z_LOW		EQU	04016H	; ADRESA VYST. NAPETI LOW OSA Z
PORT_OSA_Z_HIGH 	EQU	04012H	; ADRESA VYST. NAPETI HIGH OSA Z
PORT_OSA_Z_STAV	        EQU	04010H	; ADRESA STATUSU PRO OSU Z
PORT_IRC_Z_LOW		EQU	04011H	; ADRESA SNIMANI IRC LOW OSA Z
PORT_IRC_Z_HIGH	        EQU	04011H	; ADRESA SNIMANI IRC HIGH OSA Z;
PORT_RESET_Z  	        EQU	04014H	; RESET NASOBICEK

PORT_OSA_4_LOW		EQU	04026H	; ADRESA VYST. NAPETI LOW OSA 4
PORT_OSA_4_HIGH		EQU	04022H	; ADRESA VYST. NAPETI HIGH OSA 4
PORT_OSA_4_STAV		EQU	04020H	; ADRESA STATUSU PRO OSU 4
PORT_IRC_4_LOW		EQU	04021H	; ADRESA SNIMANI IRC LOW OSA 4
PORT_IRC_4_HIGH		EQU	04021H	; ADRESA SNIMANI IRC HIGH OSA 4
PORT_RESET_4  	        EQU	04024H	; RESET NASOBICEK

PORT_OSA_5_LOW		EQU	0402EH	; ADRESA VYST. NAPETI LOW OSA 5
PORT_OSA_5_HIGH		EQU	0402AH	; ADRESA VYST. NAPETI HIGH OSA 5
PORT_OSA_5_STAV		EQU	04028H	; ADRESA STATUSU PRO OSU 5
PORT_IRC_5_LOW		EQU	04029H	; ADRESA SNIMANI IRC LOW OSA 5
PORT_IRC_5_HIGH		EQU	04029H	; ADRESA SNIMANI IRC HIGH OSA 5
PORT_RESET_5  	        EQU	0402CH	; RESET NASOBICEK

PORT_OSA_6_LOW		EQU	04036H	; ADRESA VYST. NAPETI LOW OSA 6
PORT_OSA_6_HIGH		EQU	04032H	; ADRESA VYST. NAPETI HIGH OSA 6
PORT_OSA_6_STAV		EQU	04030H	; ADRESA STATUSU PRO OSU 6
PORT_IRC_6_LOW		EQU	04031H	; ADRESA SNIMANI IRC LOW OSA 6
PORT_IRC_6_HIGH		EQU	04031H	; ADRESA SNIMANI IRC HIGH OSA 6
PORT_RESET_6  	        EQU	04034H	; RESET NASOBICEK

PORT_OSA_TOC_LOW	EQU	0401EH	; ADRESA VYST. NAPETI LOW OSA 5
PORT_OSA_TOC_HIGH	EQU	0401AH	; ADRESA VYST. NAPETI HIGH OSA 5
PORT_TOC_STAV		EQU	04018H	; ADRESA STATUSU PRO TOCITKO
PORT_TOC_LOW		EQU	04019H	; ADRESA SNIMANI IRC LOW TOCITKA
PORT_TOC_HIGH		EQU	04019H	; ADRESA SNIMANI IRC HIGH TOCITKA
PORT_RESET_TOC 	        EQU	0401CH	; RESET NASOBICEK

PORT_KOPIR_STAV		EQU	04018H	; ADRESA STATUSU PRO TOCITKO
PORT_KOPIR_LOW		EQU	04019H	; ADRESA SNIMANI IRC LOW TOCITKA
PORT_KOPIR_HIGH		EQU	04019H	; ADRESA SNIMANI IRC HIGH TOCITKA

;DEROVANI A CTENI FOTOSNIMACE NA DTI002
PORT_WRITE_1		EQU	050H
PORT_WRITE_2		EQU	051H
PORT_READ_1		EQU	050H
PORT_READ_2		EQU	052H

